Subject: Re: [PATCH net-next v1 17/21] amd-xgbe: Add I2C support for determining SFP media types

From: Andrew Lunn <[email-masked]>
Date: Thu, 3 Nov 2016 15:28:15 +0100

On Thu, Nov 03, 2016 at 08:30:36AM -0500, Tom Lendacky wrote:
> Add support to initialize and use the I2C controller within the hardware
> in order to determine the SFP media type that is installed.

Hi Tom

Did you see the work Russell King did for phylink?

https://lwn.net/Articles/667055/

Rather than doing your own proprietary i2c infrastructure, use the
standard Linux i2c infrastructure. The SFP modules are then just
normal i2c devices on a normal i2c bus. The work Russell did can then
access them, export them to user space, get the PHY modes correctly
setup, etc.

       Andrew